Package org.eclipse.m2m.atl.dsls.tcs.injector

# Class TCSRuntime

java.lang.Object
org.eclipse.m2m.atl.dsls.tcs.injector.TCSRuntime

public class TCSRuntime extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`TCSRuntime.Context`
`protected class`
`TCSRuntime.RefSetting`

## Constructor Summary

Constructors
Constructor
Description
`TCSRuntime(ModelAdapter targetModelAdapter, ParserWrapper parserWrapper, List refSettings, Map arguments)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addToContext(Object ame, boolean addToContext)`
`Object`
`create(String name, boolean context, boolean addToContext)`
`Object`
`createEnumLiteral(String name)`
`int`
`getNbErrors()`
`ModelAdapter`
`getTargetModelAdapter()`
`boolean`
`isKeepComments()`
`boolean`
`isKeepNL()`
`void`
`leaveContext(boolean leave)`
`void`
`reportError(Exception re)`
`void`
`reportError(String msg)`
`void`
`reportProblem(String severity, String msg, Object ame)`
`void`
`reportProblem(String severity, String msg, String location)`
`void`
`reportWarning(String msg)`
`void`
`set(Object ame, String prop, Object value)`
`void`
`setCommentsAfter(Object ame, Object token)`
`void`
`setCommentsBefore(Object ame, Object token)`
`void`
`setKeepComments(boolean keepComments)`
`void`
`setLastWasCreation(boolean lastWasCreation)`
`void`
`setLocation(Object ame, String location)`
`void`
`setRef(Object object, String propertyName, String valueTypeName, String keyName, Object keyValue, String lookIn, String autoCreate, String createAs, boolean importContext, String createIn)`
`void`
`setToken(Object token)`
`String`
`unescapeString(String s, int delimLength)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TCSRuntime

public TCSRuntime(ModelAdapter targetModelAdapter, ParserWrapper parserWrapper, List refSettings, Map arguments)

## Method Details

### getNbErrors

public int getNbErrors()

### getTargetModelAdapter

public ModelAdapter getTargetModelAdapter()

Returns:
  the targetModelAdapter

### isKeepNL

public boolean isKeepNL()

### createEnumLiteral

public Object createEnumLiteral(String name)

### create

public Object create(String name, boolean context, boolean addToContext)

### leaveContext

public void leaveContext(boolean leave)

### addToContext

public void addToContext(Object ame, boolean addToContext)

### setLocation

public void setLocation(Object ame, String location)

### setCommentsBefore

public void setCommentsBefore(Object ame, Object token)

### setCommentsAfter

public void setCommentsAfter(Object ame, Object token)

### set

public void set(Object ame, String prop, Object value)

### setRef

public void setRef(Object object, String propertyName, String valueTypeName, String keyName, Object keyValue, String lookIn, String autoCreate, String createAs, boolean importContext, String createIn)

### reportProblem

public void reportProblem(String severity, String msg, Object ame)

### reportProblem

public void reportProblem(String severity, String msg, String location)

### reportError

public void reportError(Exception re)

### reportError

public void reportError(String msg)

### reportWarning

public void reportWarning(String msg)

### setToken

public void setToken(Object token)

### unescapeString

public String unescapeString(String s, int delimLength)

### setKeepComments

public void setKeepComments(boolean keepComments)

### isKeepComments

public boolean isKeepComments()

### setLastWasCreation

public void setLastWasCreation(boolean lastWasCreation)